org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class ExtensionCollection

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.ExtensionCollection

-     public class ExtensionCollection
      extends Object

  Java class for ExtensionCollection complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExtensionCollection">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="extension" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}Extension" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Extension>` | `extension`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionCollection()` Instantiate extension list in the constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Extension>` | `getExtension()` Gets the value of the extension property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extension

          protected List<Extension> extension

  - ### Constructor Detail

    - #### ExtensionCollection

          public ExtensionCollection()

      Instantiate extension list in the constructor

  - ### Method Detail

    - #### getExtension

          public List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

Copyright © 2017 WSO2. All rights reserved.